Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.command
Class TaskInstanceEndCommand

    java.lang.Object
      org.jbpm.command.TaskInstanceEndCommand

All Implemented Interfaces:
  java.io.Serializable, Command

    public class TaskInstanceEndCommand

extends java.lang.Object
implements Command

end the task with the given id if variables are given as a map, they are added/changed bevore ending the task

Author:
  ??, Bernd Ruecker (bernd.ruecker@camunda.com)
See Also:
  Serialized Form

Constructor Summary
`TaskInstanceEndCommand()`
`TaskInstanceEndCommand(long taskInstanceId, java.lang.String transitionName)`
`TaskInstanceEndCommand(long taskInstanceId, java.lang.String transitionName, java.util.Map variables)`

Method Summary
`java.lang.Object` | `execute(JbpmContext jbpmContext)`
`protected TaskInstance` | `getTaskInstance(JbpmContext jbpmContext)`
`long` | `getTaskInstanceId()`
`java.lang.String` | `getTransitionName()`
`java.util.Map` | `getVariables()`
`void` | `setTaskInstanceId(long taskInstanceId)`
`void` | `setTransitionName(java.lang.String transitionName)`
`void` | `setVariables(java.util.Map variables)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskInstanceEndCommand

    public TaskInstanceEndCommand()

### TaskInstanceEndCommand

    public TaskInstanceEndCommand(long taskInstanceId,
                                  java.lang.String transitionName)

### TaskInstanceEndCommand

    public TaskInstanceEndCommand(long taskInstanceId,
                                  java.lang.String transitionName,
                                  java.util.Map variables)

Method Detail

### execute

    public java.lang.Object execute(JbpmContext jbpmContext)

  Specified by:
    `execute` in interface `Command`

### getTaskInstance

    protected TaskInstance getTaskInstance(JbpmContext jbpmContext)

### getTaskInstanceId

    public long getTaskInstanceId()

### setTaskInstanceId

    public void setTaskInstanceId(long taskInstanceId)

### getTransitionName

    public java.lang.String getTransitionName()

### setTransitionName

    public void setTransitionName(java.lang.String transitionName)

### getVariables

    public java.util.Map getVariables()

### setVariables

    public void setVariables(java.util.Map variables)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD